SpriteLibrary
SpriteLibrary
SpriteLibrary
Sprite Class
Sprite Constructor
Sprite Constructor (Sprite, Boolean)
Sprite Constructor (SpriteController, Image)
Sprite Constructor (SpriteController, Image, Size)
Sprite Constructor (SpriteController, Image, Int32, Int32)
Sprite Constructor (SpriteController, Image, Int32, Int32, Int32)
Sprite Constructor (Point, SpriteController, Image, Int32, Int32, Int32, Int32)

# Sprite Constructor (SpriteController, Image, Int32, Int32, Int32)

Generate a new sprite. It takes a width, height, and the duration in Milliseconds for each frame

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public Sprite(
    	SpriteController Controller,
    	Image SpriteImage,
    	int width,
    	int height,
    	int durationInMilliseconds
    )

#### Parameters

Controller
  Type: SpriteLibrary
  SpriteController
  The sprite controller
SpriteImage
  Type: System.Drawing
  Image
  The image we pull the animations from
width
  Type: System
  Int32
  The width of one animation frame
height
  Type: System
  Int32
  the height of one animation frame
durationInMilliseconds
  Type: System
  Int32
  The number of milliseconds each frame is shown for as it animates.

See Also

#### Reference

Sprite Class
Sprite Overload
SpriteLibrary Namespace